Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaReferenceType

All Superinterfaces:
  IJavaType

All Known Subinterfaces:
  IJavaArrayType, IJavaClassType, IJavaInterfaceType

public interface IJavaReferenceType
extends IJavaType

Represents the type of an object in a virtual machine - including classes, interfaces and array types.

Since:
  3.0

Method Summary
`String[]` | `getAllFieldNames()` Returns a collection of the names of all of the fields declared in this type, all of its superclasses, implemented interfaces and super interfaces.
`String[]` | `getAvailableStrata()` Returns a collection of strata available for this type.
`IJavaClassObject` | `getClassObject()` Returns the class object associated with this type.
`String[]` | `getDeclaredFieldNames()` Returns a collection of the names of the fields declared in this type.
`String` | `getDefaultStratum()` Returns the default stratum for this type.
`IJavaFieldVariable` | `getField(String name)` Returns a variable representing the static field in this type with the given name, or `null` if there is no field with the given name, or the name is ambiguous.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaType
`getName, getSignature`

Method Detail

### getField

    public IJavaFieldVariable getField(String name)
                                throws DebugException

  Returns a variable representing the static field in this type with the given name, or `null` if there is no field with the given name, or the name is ambiguous.

  Parameters:
    `name` - field name
  Returns:
    the variable representing the static field, or `null`
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### getClassObject

    public IJavaClassObject getClassObject()
                                    throws DebugException

  Returns the class object associated with this type.

  Returns:
    the class object associated with this type
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### getAvailableStrata

    public String[] getAvailableStrata()
                                throws DebugException

  Returns a collection of strata available for this type.

  Returns:
    a collection of strata available for this type
  Throws:
    `DebugException` - if unable to retrive available strata

### getDefaultStratum

    public String getDefaultStratum()
                             throws DebugException

  Returns the default stratum for this type.

  Returns:
    the default stratum for this type
  Throws:
    `DebugException` - if unable to retrieve the default stratum

### getDeclaredFieldNames

    public String[] getDeclaredFieldNames()
                                   throws DebugException

  Returns a collection of the names of the fields declared in this type.

  Returns:
    a collection of the names of the field declared in this type
  Throws:
    `DebugException` - if unable to retrieve declared field names

### getAllFieldNames

    public String[] getAllFieldNames()
                              throws DebugException

  Returns a collection of the names of all of the fields declared in this type, all of its superclasses, implemented interfaces and super interfaces.

  Returns:
    a collection of the names of all of the fields declared in this type, all of its superclasses, implemented interfaces and super interfaces
  Throws:
    `DebugException` - if unable to retrieve field names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.